This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 164367 - KeepAlive Off in the default config
KeepAlive Off in the default config
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 07:44 EDT by Vincent Bray
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-27 08:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Bray 2005-07-27 07:44:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Hi,
I've long wondered why Red Hat choose to enable every module in the default configuration for apache (who uses e.g. mod_asis?). But I'm more concerned at the choice of KeepAlive Off. What reason could you guys have for disabling this feature?

Version-Release number of selected component (if applicable):
httpd-2.0.52-12.1.ent & httpd-2.0.46-46.2.ent

How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Vincent Bray 2005-07-27 08:22:49 EDT
Sorry Joe, I should have thought this one through some more. Clearly KeepAlive
can hurt a heavily loaded server. Perhaps with a very low value of
KeepAliveTimeout (one or two seconds) then having keep-alives on is a benefit,
but probably people in a position to care would know that anyway.

Note You need to log in before you can comment on or make changes to this bug.